2009-12-31  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * lib/dict.c:
   Always display spell check results on failed dictionary searches.
 * New release: 0.6.0.


2009-12-30  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * lib/speedreader.c:
   After the Speed Reading has finished, make the Stop button a
   Back button.
   Implement a Pause/Resume button for the Speed Reader.


2009-07-16  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * lib/spell.c:
   Don't print the spell check header if in quiet mode and the word
   is spelled correctly.
 * lib/speedreader.c:
   Display paragraph signs at the end of the current word group.


2009-07-09  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * lib/common.c, lib/common.h, lib/speedreader.c:
   Implement word grouping option for Speed Reading.


2009-07-07  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * lib/common.c, lib/common.h, lib/gui.c, lib/prefs.c:
   Allow setting an empty web search URL to disable the feature.
 * lib/common.h, lib/dictd.c, lib/gui.c, lib/spell.c:
   Rework the results display for failed dictionary searches.
   Show headings for the various search methods.


2009-05-29  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * lib/common.c, lib/common.h, lib/speedreader.c:
   Don't treat quotes as word separators.
   Add an option to mark paragraphs when Speed Reading.
   Fix input focus in the Speed Reader dialog and enable word wrap.
   Display the speed reading status in the window title to make it
   more clear when the speed reading has finished.


2009-05-18  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * lib/common.c, lib/common.h, lib/dictd.c, lib/gui.c:
   When offering a Web search link for a failed search, display the full
   target URI as tooltip.
   Minor other improvements.
 * lib/gui.c, lib/spell.c:
   Allow clearing tags for a specific word (unused so far).
   If the search term contains more than word and the dictionary search
   fails, show the spell check results of all parts of the search term.
 * lib/common.c, lib/common.h, lib/dictd.c, lib/prefs.c,
   lib/speedreader.c:
   Implement own error dialog.


2009-05-17  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * lib/gui.c, lib/speedreader.c:
   Mark some strings as translatable (closes #5360).
 * lib/common.c, lib/common.h, lib/dictd.c, lib/gui.c, lib/prefs.c:
   Rename some variables.
   Rename the colour button labels in the preferences dialog.


2009-05-12  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * lib/common.c, lib/common.h, lib/dictd.c, lib/gui.c, lib/gui.h,
   lib/spell.c:
   Add 'success' colour to mark found search terms.
   Colourise search terms according to the search result for better
   visual feedback.
 * lib/common.c, lib/common.h, lib/gui.c, lib/prefs.c:
   Make error and success colours configurable.
 * lib/gui.c, lib/speedreader.c:
   Fix mnemonic of Speed Reader button.
   Fix one more cursor issue when clicking links.
   Improve splitting of the input text for speed reading.


2009-05-10  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * lib/Makefile.am, lib/common.c, lib/common.h, lib/gui.c,
   lib/speedreader.c, lib/speedreader.h, po/POTFILES.in:
   Add simple speed reader dialog to train fast reading.


2009-05-09  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * New release: 0.5.3.


2009-04-20  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Reset the cursor after right-clicking on links in the textview.


2009-04-19  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Partly revert last change and use the proper cursor for the textview
   window again.


2009-03-05  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Don't allocate the default cursor unnecessarily and reuse the
   GdkWindow we already got in the event handlers.


2009-02-08  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Print the used dictionary in the spell checker results.


2009-01-31  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * When using the web service fallback after a failed dictionary search,
   hide the main window if ran as panel plugin.


2009-01-21  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Fix untranslated search engine description (#4835).


2009-01-19  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Improve some strings, thanks to Jérôme Guelfucci for the suggestions.
 * Use less spacing for spell checker results and don't display any
   failed searches if used as fallback for a dictionary search.
 * Properly escape URIs when using Web based search
   (works only with GLib >= 2.16).
 * Add '--verbose' command line option for the stand-alone application.


2008-12-05  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * When highlighting cross-references, ignore also {vr}.
 * Follow the 'Desktop Menu Specification' and change the category
   for the .desktop to 'Office'.
 * New release: 0.5.2.


2008-11-23  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * New release: 0.5.1.


2008-11-15  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Avoid leaving zombie processes when using spell checking (bug 4615).
 * Fix crashes when using the dictionary refresh button in the prefs
   dialog and while using enchant as spell checker.
 * Sort the spell check dictionary list in the prefs dialog.


2008-11-14  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Change bugreport address and rewrite the output of '--version'.


2008-11-11  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Add a 'Search' menu item to the textview popup menu for quick search
   of any text in search results.
 * Improve parsing of phonetic information, also allowing the /.../
   format, used in the Jargon dictionary.
 * Parse also phonetic information endorsed by slashes.
   Refactor some code.
 * Fix cut server responses when there is a leading number in the word
   definition (e.g. in 'moby-thes').


2008-11-10  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * New release: 0.5.0.


2008-11-07  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Ditch "Xfce4" in dialog titles.
 * Change '-v' to '-V' to match common standards.


2008-10-30  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Use a stock GTK about dialog.


2008-10-29  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Always clear the spell check dictionary list in the prefs dialog,
   even if an empty or invalid spell check command was given.
 * Add a combo box around the search field in the main window
   to provide a history of previously searched words.
 * When highlighting cross-references, ignore also {vt} and {pl}.


2008-10-28  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Guess the default spell check dictionary based on the user's
   locale setting.
 * Add a status icon to the prefs dialog indicating whether the
   entered spell check command is valid.
 * Add a refresh button next to the spell check dictionary list
   for easy updating.
 * Add support for 'enchant' as spell check program.
 * Make colours used for links and phonetics configurable.


2008-10-25  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Change the title of the prefs dialog to 'Preferences'.


2008-10-24  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Add mnemonics to the search method radio labels in the main window.
 * Add a link to easily start a Web search if there are no Dict results.


2008-10-23  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Bring the 'Search Term' string back, this time in the search
   entry to get auto cleared on click.
 * Use for the panel text entry also a SexyIconEntry.
 * When highlighting cross-references, ignore short ones like
   {n}, {f} and {m} as often found in translation dictionaries.
 * Highlight phonetic information provided by some dictionaries.
 * Fix wrong status bar text when querying a server for the first
   time in the stand-alone app.
 * Update Readme and manpage.


2008-10-19  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Fix a crash in link parsing caused by malformed dictionary texts.


2008-10-18  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Use a SexyIconEntry for the search field, it's just sexy :).
   Remove the Clear button from the GUI (provided in the search field).
   Change the icon of the search button when switching search method.


2008-10-17  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Add 'Information' button in the preferences dialog to query
   general server information for DICT servers.


2008-10-15  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Add support for links (cross-references) in dictd responses.
 * Properly send DICT commands terminated with CRLF.
 * Close DICT connections properly with the QUIT command and read
   initial server status code.


2008-10-14  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Beautify the texview output a little bit.
 * Do not skip the first line of a dictd server text response as it
   might contain useful information.


2008-09-29  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Improve clearing of panel text entry: clear it always.


2008-09-27  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Remove leading and trailing spaces from the search term before
   performing the search (reported by Liviu Andronic).
 * Clear the panel text entry field also for web and spell check search
   methods (also reported by Liviu Andronic, thanks).


2008-09-26  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Add "en.wikipedia.org" and "www.merriam-webster.com" to the list
   of web dictionaries (thanks to Liviu Andronic for the hint).
 * Add new command line option: '--clipboard' (-c) to take the
   search text from the PRIMARY clipboard and performs a search.
   Update manual page.
 * Fix spell checking with multiple words/sentences.


2008-09-23  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * New release: 0.4.1.


2008-09-10  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Add Wiktionary.org to the list of web dictionaries
   (thanks to Liviu Andronic for the hint).


2008-08-26  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Don't let the notebook tab labels grab the focus in the prefs dialog.
 * Save some string comparisons when parsing the response from a DICTD
   server.
 * Handle DICTD response 550 - 'invalid database' correctly.


2008-08-25  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Make prefs dialog modal.
 * When searching for available dictionaries of a DICTD server,
   use the entered values in the dialog not the old saved ones.


2008-08-03  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Improve the code to find a usable browser to open URLs.
 * Prevent opening a file manager when there is set an empty search URL.
 * Make dict_open_browser() static for common.c as it is not used
   anywhere else.
 * Add 'xdg-open' as possible browser command to open URLs.
 * Don't allow setting an empty search URL in the preferences dialog.


2008-07-16  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Build the static library part with libtool to get correctly linked
   (fixes #4235).
 * Add some border spaces in the preferences dialog for better look&feel.
 * Add WrapLabel class (subclass of GtkLabel) to proper wrap a help text
   in the preferences dialog.


2008-05-16  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Fix crash due to accessing invalid memory when reading the
   config file (patch by Federico G. Schwindt, thanks).


2008-05-15  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * New release: 0.4.0.


2008-04-22  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Implement saving and restoring window geometry.


2008-04-20  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * If searching with the Dict method and nothing was found, automatically
   search with aspell (if available) as fallback in case of a typo.


2008-04-18  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Add command line option "--ignore-plugin" to start the stand-alone
   application even if the panel plugin is loaded.
 * Add new languages Chinese and Italian which are newly supported
   by dict.leo.org.
 * Rewrite of the web search code to be more flexible to use and to
   simplify the code.
   Add two other dictionary services:
   Dictionary.com and TheFreeDictionary.com.
 * Add dist.cc dictionary service.


2008-04-17  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Unify application name to "Xfce4 Dictionary".
 * Remove Help button from preferences dialog as there is no help
   available at all.
 * Disable conversion into ISO-8859-15 of search text when using
   dict.leo.org, seems not necessary anymore.
 * Fix problems with preferences dialog callback if panel plugin is
   loaded.
 * Fix minor panel button sizing issues (make it a little wider on
   horizontal panel, a little flatter on vertical panels).


2008-04-15  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Update Readme.
 * Reformat ChangeLog.
 * Add "-h" command line option if GLib supports printing the help text.
 * Concatenate text command line arguments as one string as search text.
 * Add manpage for xfce4-dict.


2008-04-14  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Fix make distcheck.
 * Avoid creation of inline-icon.h during a normal build.
 * Always start searching when text is dragged into the text entry in
   the main window.
 * Connect to "drag-data-received" signal in library as it is equal for
   panel plugin and standalone code.
 * Move signal handling code for networking code completely into
   lib/dictd.c.
 * Set entry text in the main window if text was dragged onto the panel
   button or into the panel entry.


2008-04-03  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

	* Fix broken panel plugin desktop file.


2008-04-02  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Fix broken aspell search.
 * Update package name for autotools.
 * Show panel-only options in preferences dialog only if panel plugin
   is actually loaded.
 * After clicking on the Clear button, bring the input focus back to
   the main entry.
 * Add keyboard shortcuts for file menu items.
 * Cleanup DictData struct, reorder elements and remove elements which
   are only used in the preferences dialog.
 * Add search method selection to the preferences dialog, including new
   mode to use the search method from the last time.
 * Add support for command line options for xfce4-dict command.


2008-03-31  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Prefix some more functions.
 * Bring main window up when received data in panel plugin via DnD.


2008-03-30  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * More code reorganisation and cleanup.
 * Redesign preferences dialog: use a GtkNotebook and use a XfceDialog.
 * Update POTFILES.in.
 * Remove debug messages.
 * Add file menu to make preferences dialog accessable when run as
   stand-alone application.


2008-03-27  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Reorganise most of the code base to separat commonly used code from
   the panel plugin into a static library.
   Move dictd server query code into an own file for better readibility.
   Bump version requirement of libxfce*-libs to 4.4.0.
   Add stand-alone application xfce4-dict (replaces xfce4-dict-popup
   command).
   (not yet finished, to be continued)


2008-03-22  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

 * Use GTK's predefined text targets for Drag'n'Drop. This fixes a
   strange bug when dragging non-Ascii text from Poedit. Also allow
   move as DnD action.
 * Fix indentation.


2008-03-08  Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>

 * Don't use C++-style comments and fix some compiler warnings.
 * When dragging text into the main entry text field, delete the
   previous text before to not append the dragged text.
 * New release: 0.3.0


2008-01-12  Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>

 * When changing the search method in the main window, put the input
   focus back to the text entry.


2008-01-04  Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>

 * Add xfce4-popup-dict command to show the main window and/or grab
   the input focus to the text field in the panel.
 * Change year in copyright notes to 2008.


2007-12-18  Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>

 * Remove wrong additional space before colons.


2007-12-14  Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>

 * Fix small memory leak.
 * Always store all settings from the properties dialog.
 * Remove search mode selection from properties dialog.
 * Add aspell support (should also work with ispell).


2007-12-10  Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>

 * Added search method radio buttons.


2007-10-22  Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>

 * Fixed missing application icon in taskbar and window frame.
 * Added missing include of stdlib to avoid compiler warnings.


2007-01-20 Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>

 * Fixed possible crashes when showing the main window after it was
   closed.


2007-01-16 Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>

 * New release: 0.2.1


2006-12-05 Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>

 * Fixed possible segfault after retrieving the dictionary list from
   a server.


2006-12-04 Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>

 * Fixed wrong display of panel text entry when panel orientation
   changed.
 * Panel text entry grows and shrinks now according to the given size.
 * Removed dependency on libexo, use exo-open(and some other
   fallbacks) instead.


2006-11-25 Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>

 * Enabled website link to goodies.xfce.org in the about dialog.
 * Added missing includes to fix compilation on FreeBSD.
 * Improved calculation of panel icon size
   (thanks to Rupert Horstkötter for reporting).


2006-11-16 Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>

 * Added dependency of libexo.
 * Added alternative search mode via a web site dictionary and provide
   three dictionary entries of dict.leo.org for convenience. The web
   site will be opened with the help of libexo.
 * Added UTF8_STRING as drop target. Might be it helps.


2006-11-07 Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>

 * Prefixed all functions with dict.


2006-10-15 Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>

 * Improved the threading code to do GTK-related stuff in the main
   thread.
 * Fixed some compiler warnings.
 * Fixed crash when using an invalid hostname.
 * Handle non-UTF8 input better, try to convert it, otherwise stop
   query.


2006-10-14 Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>

 * Implemented threading to not freeze the GUI while searching on a slow
   server (needs testing).


2006-10-02 Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>

 * Again fixed display of panel text field when panel has no horizontal
   orientation.


2006-10-01 Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>

 * Fixed display of panel text field when panel has no horizontal
   orientation.
 * Fixed some minor GUI issues to improve usability
   (thanks to Fabian Nowak for his suggestions).
 * Use a dynamic buffer when retrieving the response from a server to
   avoid truncated answers and crashes
   (thanks to Fabian Nowak for reporting).
 * Clear the text view always prior to a new search.
 * New release: 0.2.0
 * Set focus to the search entry when showing the main window.
 * Added "Clear" button to the main window (suggested by Joe Klemmer).


2006-09-26 Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>

 * Added optional text field in the panel.


2006-09-25 Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>

 * Changed application icon * Added Cancel button to the properties
   dialog to cancel current changes.


2006-09-20 Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>

 * New Release: 0.1.1
 * Set icon for the main window
 * Beautified the server response in the text widget.
 * Show all lines of the result (thanks Remco den Breeje for reporting).
 * Added DnD target "text/plain" to enable DnD for Firefox
   (thanks Remco den Breeje for reporting).


2006-09-20 Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>

 * Initial release 0.1.0.
